=== modified file 'tests/r/innodb-semi-consistent.result'
--- tests/r/innodb-semi-consistent.result	2008-12-06 22:41:03 +0000
+++ tests/r/innodb-semi-consistent.result	2009-03-16 19:10:50 +0000
@@ -9,7 +9,6 @@
 set session transaction isolation level read committed;
 set autocommit=0;
 update t1 set a=10 where a=5;
-ERROR HY000: Lock wait timeout exceeded; try restarting transaction
 commit;
 update t1 set a=10 where a=5;
 select * from t1 where a=2 for update;
@@ -21,13 +20,12 @@
 update t1 set a=12 where a=2;
 ERROR HY000: Lock wait timeout exceeded; try restarting transaction
 update t1 set a=13 where a=1;
-ERROR HY000: Lock wait timeout exceeded; try restarting transaction
 commit;
 update t1 set a=14 where a=1;
 commit;
 select * from t1;
 a
-14
+13
 2
 3
 4

=== modified file 'tests/t/innodb-semi-consistent.test'
--- tests/t/innodb-semi-consistent.test	2008-12-06 22:41:03 +0000
+++ tests/t/innodb-semi-consistent.test	2009-03-16 19:10:50 +0000
@@ -13,12 +13,11 @@
 create table t1(a int not null) engine=innodb;
 insert into t1 values (1),(2),(3),(4),(5),(6),(7);
 set autocommit=0;
-# this should lock the entire table
+# we have locks_unsafe_for_binlog on by default. this should work.
 select * from t1 where a=3 lock in share mode;
 connection b;
 set session transaction isolation level read committed;
 set autocommit=0;
--- error ER_LOCK_WAIT_TIMEOUT
 update t1 set a=10 where a=5;
 connection a;
 commit;
@@ -33,7 +32,6 @@
 update t1 set a=11 where a=6;
 -- error ER_LOCK_WAIT_TIMEOUT
 update t1 set a=12 where a=2;
--- error ER_LOCK_WAIT_TIMEOUT
 update t1 set a=13 where a=1;
 connection a;
 commit;

